﻿Imports System.Collections.ObjectModel
Imports DlhSoft.Windows.Data

Class Window1

    Public Sub New()

        InitializeComponent()

        ' Prepare the resource data collection.
        Dim resourceItems As New ObservableCollection(Of ResourceItem)
        resourceItems.Add(New ResourceItem With {.Content = "Resource 1"})
        resourceItems.Add(New ResourceItem With {.Content = "Resource 2", .CostPerHour = 10})
        resourceItems.Add(New ResourceItem With {.Content = "Resource 3", .CostPerUsage = 100})
        resourceItems.Add(New ResourceItem With {.Content = "Resource 4", .CostPerUsage = 200, .CostPerHour = 20})

        ' You can also prepare resource data items dynamically.
        For i As Integer = 5 To 64
            resourceItems.Add(New ResourceItem With {.Content = "Resource " & i})
        Next

        ' Set the ItemsSource to the prepared resource data collection.
        ResourceListView.ItemsSource = resourceItems

    End Sub

End Class
